Package org.apache.log4j.rewrite

## Class RewriteAppenderTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.rewrite.RewriteAppenderTest

- All Implemented Interfaces:
    `junit.framework.Test`

      public class RewriteAppenderTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RewriteAppenderTest​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure​(String resourceName)` |
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testMapPolicy()` |
    `void` | `testPropertyPolicy()` |
    `void` | `testReflectionPolicy()` |

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RewriteAppenderTest

          public RewriteAppenderTest​(String name)

  - ### Method Detail

    - #### setUp

          public void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          public void tearDown()

      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### configure

          public void configure​(String resourceName)
                         throws Exception

      Throws:
        `Exception`

    - #### testMapPolicy

          public void testMapPolicy()
                             throws Exception

      Throws:
        `Exception`

    - #### testReflectionPolicy

          public void testReflectionPolicy()
                                    throws Exception

      Throws:
        `Exception`

    - #### testPropertyPolicy

          public void testPropertyPolicy()
                                  throws Exception

      Throws:
        `Exception`